import { SyntheticEvent } from "react";
interface InputProps extends React.InputHTMLAttributes<HTMLInputElement> {
}
interface RootProps extends React.HTMLAttributes<HTMLElement> {
}
interface UploaderHookAPI {
    getInputProps: () => InputProps;
    getRootProps: () => RootProps;
    acceptedFilesData: AcceptedFilesData;
    rejectedFilesData: RejectedFilesData;
    deleteFile: (fileIndex: number) => void;
    deleteAllFiles: () => void;
}
declare type AcceptedFilesData = Array<{
    file: File;
    preview: string;
} | {
    url: string;
}>;
declare type RejectedFilesData = Array<{
    file: File;
    errors: string[];
}>;
export interface UploaderHookParams {
    uploadedFilesUrls?: string[];
    multiple?: boolean;
    accept?: string;
    maxSize?: number;
    onAttach?: (acceptedFilesData: AcceptedFilesData, refectedFilesData: RejectedFilesData, event: SyntheticEvent) => void;
}
declare type UploaderHook = (params: UploaderHookParams) => UploaderHookAPI;
export declare const useUploaderHook: UploaderHook;
export {};
